Thread (9 messages) flat view 9 messages, 2 authors, 2016-06-15

Re: [PATCH] Fix rebase interactive to allow specifying branch to rebase along with the base

From: Johannes Schindelin <hidden>
Date: 2016-06-15 22:43:25

Hi,

On Thu, 2 Aug 2007, Alex Riesen wrote:
quoted hunk ↗ jump to hunk
diff --git a/git-rebase--interactive.sh b/git-rebase--interactive.sh
index 061cd0a..b42dee8 100755
--- a/git-rebase--interactive.sh
+++ b/git-rebase--interactive.sh
@@ -404,6 +404,7 @@ do
 		esac
 
 		require_clean_work_tree
+		mkdir "$DOTEST" || die "Could not create temporary $DOTEST"
 
 		if test ! -z "$2"
 		then
@@ -418,7 +419,6 @@ do
 
 		test -z "$ONTO" && ONTO=$UPSTREAM
 
-		mkdir "$DOTEST" || die "Could not create temporary $DOTEST"
 		: > "$DOTEST"/interactive || die "Could not mark as interactive"
 		git symbolic-ref HEAD > "$DOTEST"/head-name ||
 			die "Could not get HEAD"
Heh.  I take that as an ACK from you to my patch?  Mine has a test case, 
too ;-)

Ciao,
Dscho
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help